## bombadillo 2.3.3

=== Makefile ===
GOCMD := go
BINARY := bombadillo
PREFIX := /usr/local
EXEC_PREFIX := ${PREFIX}
BINDIR := ${EXEC_PREFIX}/bin
DATAROOTDIR := ${PREFIX}/share
MANDIR := ${DATAROOTDIR}/man
MAN1DIR := ${MANDIR}/man1
test : GOCMD := go1.11.13

# Use a dateformat rather than -I flag since OSX
# does not support -I. It also doesn't support 
# %:z - so settle for %z.
BUILD_TIME := ${shell date "+%Y-%m-%dT%H:%M%z"}

.PHONY: build
build:
	${GOCMD} build -o ${BINARY}

.PHONY: install
install: install-bin install-man install-desktop clean

.PHONY: install-man
install-man: bombadillo.1
	gzip -k ./bombadillo.1
	install -d ${DESTDIR}${MAN1DIR}
	install -m 0644 ./bombadillo.1.gz ${DESTDIR}${MAN1DIR}

.PHONY: install-desktop
install-desktop:
ifeq ($(shell uname), Linux)
	# These steps will not work on Darwin, Plan9, or Windows
	# They would likely work on BSD systems
	install -d ${DESTDIR}${DATAROOTDIR}/applications
	install -m 0644 ./bombadillo.desktop ${DESTDIR}${DATAROOTDIR}/applications
	install -d ${DESTDIR}${DATAROOTDIR}/pixmaps
	install -m 0644 ./bombadillo-icon.png ${DESTDIR}${DATAROOTDIR}/pixmaps
	-update-desktop-database 2> /dev/null
else
	@echo "* Skipping protocol handler associations and desktop file creation for non-linux system *"
endif

.PHONY: install-bin
install-bin: build
	install -d ${DESTDIR}${BINDIR}
	install -m 0755 ./${BINARY} ${DESTDIR}${BINDIR}

.PHONY: clean
clean: 
	${GOCMD} clean
	rm -f ./bombadillo.1.gz 2> /dev/null
	rm -f ./${BINARY}_* 2> /dev/null

.PHONY: uninstall
uninstall: clean
	rm -f ${DESTDIR}${MAN1DIR}/bombadillo.1.gz
	rm -f ${DESTDIR}${BINDIR}/${BINARY}
	rm -f ${DESTDIR}${DATAROOTDIR}/applications/bombadillo.desktop
	rm -f ${DESTDIR}${DATAROOTDIR}/pixmaps/bombadillo-icon.png
	-update-desktop-database 2> /dev/null

.PHONY: release
release:
	GOOS=linux GOARCH=amd64 ${GOCMD} build ${LDFLAGS} -o ${BINARY}_linux_64
	GOOS=linux GOARCH=arm ${GOCMD} build ${LDFLAGS} -o ${BINARY}_linux_arm
	GOOS=linux GOARCH=386 ${GOCMD} build ${LDFLAGS} -o ${BINARY}_linux_32
	GOOS=darwin GOARCH=amd64 ${GOCMD} build ${LDFLAGS} -o ${BINARY}_darwin_64


.PHONY: test
test: clean build

=== debian/changelog ===
bombadillo (2.3.3-3ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:01:39 +0000

bombadillo (2.3.3-3build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:47:33 -0600

bombadillo (2.3.3-3) unstable; urgency=medium

  *  Team upload.
  *  Replace default home with a local page instead of a remote one.
     (Closes: #987628)

 -- Taowa <taowa@debian.org>  Mon, 26 Apr 2021 14:00:00 -0400

bombadillo (2.3.3-2) unstable; urgency=medium

  * Team Upload.
  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 Apr 2021 15:47:57 +0530

bombadillo (2.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #984855)

 -- Micheal Waltz <ecliptik@gmail.com>  Sat, 27 Mar 2021 17:56:51 +0000

=== debian/control ===
Source: bombadillo
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.5.1
Homepage: https://bombadillo.colorfield.space
Vcs-Browser: https://salsa.debian.org/go-team/packages/bombadillo
Vcs-Git: https://salsa.debian.org/go-team/packages/bombadillo.git
XS-Go-Import-Path: tildegit.org/sloum/bombadillo
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: bombadillo
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: lynx | w3m | elinks
Description: Non-web client for the terminal
 Bombadillo supports gopher, gemini, and finger protocols,
 featuring a full terminal user interface, vim-like
 keybindings, document pager, configurable settings, and
 a robust command selection.

## bombadillo 2.4.0

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 .PHONY: install-man
 install-man: bombadillo.1
-	gzip -k ./bombadillo.1
+	gzip -c ./bombadillo.1 > ./bombadillo.1.gz
 	install -d ${DESTDIR}${MAN1DIR}
 	install -m 0644 ./bombadillo.1.gz ${DESTDIR}${MAN1DIR}

=== debian/changelog ===
bombadillo (2.4.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.4.0
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Fix version (2.4.0 instead of 2.3.3)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Feb 2023 16:22:57 +0530

bombadillo (2.3.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 02:32:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: bombadillo
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Micheal Waltz <ecliptik@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://bombadillo.colorfield.space
 Vcs-Browser: https://salsa.debian.org/go-team/packages/bombadillo
 Vcs-Git: https://salsa.debian.org/go-team/packages/bombadillo.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://tildegit.org/sloum/bombadillo/releases/ .*/v?(\d\S+)\.tar\.gz
